package info.textgrid.utils.linkrewriter;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.xml.stream.XMLStreamException;

/**
 * Abstract implementation of {@link ILinkRewriter} that can serve as a base
 * class.
 * 
 * @author vitt
 * 
 */
public abstract class AbstractRewriter implements ILinkRewriter {

	private final ImportMapping mapping;
	private final boolean export;

	protected AbstractRewriter(final ImportMapping mapping, final boolean export) {
		super();
		this.mapping = mapping;
		this.export = export;
	}

	@Override
	public ImportMapping getMapping() {
		return mapping;
	}

	@Override
	public boolean isExport() {
		return export;
	}

	@Override
	public abstract void rewrite(final InputStream input, final OutputStream output) throws IOException, XMLStreamException;

}